# Generated from rt_sphinx-0.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rt_sphinx

Name: rubygem-%{gem_name}
Version: 0.0.7
Release: 1%{?dist}
Summary: A tool to work with Sphinx search real time indexes
License: MIT
URL: http://github.com/dkoprov/rt_sphinx/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.5.0
# BuildRequires: rubygem(yard) >= 0.7.2
BuildArch: noarch

%description
A tool for populating Sphinx search service through real time indexes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/sphinx.conf
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/rt_sphinx.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.7-1
- Initial package
